# Class Executor`Interface`

Handles the execution of WebDriver commands.

#### Hierarchy

- Executor

#####
Index

### Constructors

constructor

### Methods

defineCommand
execute

## Constructors

### constructor

- new Executor(): Executor

- #### Returns Executor

## Methods

### defineCommand

- defineCommand(name, method, path): void

- Defines a new command for use with this executor. When a command is sent, the {@code path} will be preprocessed using the command's parameters; any path segments prefixed with ':' will be replaced by the parameter of the same name. For example, given '/person/:name' and the parameters '{name: 'Bob'}', the final command path will be '/person/Bob'.

  #### Parameters

  - ##### name: string

    The command name.

  - ##### method: string

    The HTTP method to use when sending this command.

  - ##### path: string

    The path to send the command to, relative to the WebDriver server's command root and of the form '/path/:variable/segment'.

  #### Returns void

### execute

- execute(command): Promise<any>

- Executes the given {@code command}. If there is an error executing the command, the provided callback will be invoked with the offending error. Otherwise, the callback will be invoked with a null Error and non-null response object.

  #### Parameters

  - ##### command: Command

    The command to execute.

  #### Returns Promise<any>

  A promise that will be fulfilled with the command result.

Generated using TypeDoc